statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2013 John McDonnell;
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Transform

Description

Transformations over distributions

Synopsis

- data LinearTransform d = LinearTransform {
  - linTransLocation :: !Double
  - linTransScale :: !Double
  - linTransDistr :: d
  }
- linTransFixedPoint :: LinearTransform d -> Double
- scaleAround :: Double -> Double -> d -> LinearTransform d

# Documentation

data LinearTransform d Source

Linear transformation applied to distribution.

    LinearTransform μ σ _
    x' = μ + σ·x

Constructors

LinearTransform |

Fields

linTransLocation :: !Double

  Location parameter.

linTransScale :: !Double

  Scale parameter.

linTransDistr :: d

  Distribution being transformed.

Instances

Functor LinearTransform Source |
Eq d => Eq (LinearTransform d) Source |
Data d => Data (LinearTransform d) Source |
Read d => Read (LinearTransform d) Source |
Show d => Show (LinearTransform d) Source |
Generic (LinearTransform d) Source |
ToJSON d => ToJSON (LinearTransform d) Source |
FromJSON d => FromJSON (LinearTransform d) Source |
Binary d => Binary (LinearTransform d) Source |
ContGen d => ContGen (LinearTransform d) Source |
(Entropy d, DiscreteDistr d) => Entropy (LinearTransform d) Source |
(MaybeEntropy d, DiscreteDistr d) => MaybeEntropy (LinearTransform d) Source |
Variance d => Variance (LinearTransform d) Source |
MaybeVariance d => MaybeVariance (LinearTransform d) Source |
Mean d => Mean (LinearTransform d) Source |
MaybeMean d => MaybeMean (LinearTransform d) Source |
ContDistr d => ContDistr (LinearTransform d) Source |
Distribution d => Distribution (LinearTransform d) Source |
type Rep (LinearTransform d) Source |

linTransFixedPoint :: LinearTransform d -> Double Source

Get fixed point of linear transformation

scaleAround Source

Arguments

:: Double | Fixed point
-> Double | Scale parameter
-> d | Distribution
-> LinearTransform d |

Apply linear transformation to distribution.